import { MessageBox } from 'mint-ui';
import { Indicator } from 'mint-ui';
/**************************************随机数************************************/
export function MathRand(len) {
  var Num = "";
  for (var i = 0; i < len; i++) {
    Num += Math.floor(Math.random() * 10);
  }
  return Num;
}

export function loginout(that) {
  that.$http.get("/api/User?LoginOut=true").then(
    function(data) {
      if (data.body.Status == 0 || data.body.Status == 8) {
        ///删除本地的登录缓存
        localStorage.removeItem("logininfo");
        localStorage.clear();
        that.$router.push({
          name: "Login"
        });
        MessageBox.alert('请先登录!')
      }
    },
    function(err) {
      console.log(err);
    }
  );
}
/**************************************时间格式化处理************************************/
export function dateFtt(fmt, date) { //author: meizz
  var o = {
    "M+": date.getMonth() + 1, //月份
    "d+": date.getDate(), //日
    "h+": date.getHours(), //小时
    "m+": date.getMinutes(), //分
    "s+": date.getSeconds(), //秒
    "q+": Math.floor((date.getMonth() + 3) / 3), //季度
    "S": date.getMilliseconds() //毫秒
  };
  if (/(y+)/.test(fmt))
    fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
  for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt))
      fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
  return fmt;
}
/*********超出的字符长度截取显示省略号(...) *********/
export function substrByLen(str,leng){
  if(str.length > leng){	
    var i = leng;
    while (str.length > leng) {
        i--;
        str = str.substring(0,i);
    }	
    str = str+"...";
  }
  return str;
}
/**************************************判断该商品是否收藏************************************/
export function collectIf(that, IntegralProductID, type) {
  that.$http
    .get("/api/UserFavo?FavoID=" + IntegralProductID + "&FavorType=" + type)
    .then(
      function (data) {
        that.tag = data.body.Data;
        if (that.tag == false) {
          that.nownav = "static/img/Collection.png";
        }
        else {
          that.nownav = "static/img/sc.png";
        }
      },
      function (err) {
        console.log(err);
      }
    );
}

/**************************************该商品收藏和取消收藏************************************/
//UserID用户的Id
//FavorType收藏的类型
//FavoID收藏产品的id
//FavoContentObj收藏产品的详情
export function AddCollent(that, FavorType, FavoID, FavoContentObj, ID) {
  Indicator.open('Loading...');
  var likeData = {
    // "UserID": UserID,
    "FavorType": FavorType,
    "FavoID": FavoID,
    "FavoContentObj": FavoContentObj,
  }
  if (that.tag == false) {
    that.$http.post("/api/UserFavo", likeData).then(
      function (data) {
        Indicator.close();
        var collents = data.body.Status;
        if (collents == 0) {
          that.tag = true;
          MessageBox.alert('收藏成功!').then(function (action) {
            that.nownav = "static/img/sc.png"
          });

        } else {
          MessageBox.alert('收藏失败');
        }
      }
    )
  } else {
    that.$http.delete("/api/UserFavo/?&FavorType=" + FavorType + "&FavoID=" + ID).then(
      function (data) {
        Indicator.close();
        var collented = data.body.Status;
        if (collented == 0) {
          that.tag = false;
          MessageBox.alert('取消成功!').then(function (action) {
            that.nownav = "static/img/Collection.png";
          });
        } else {
          MessageBox.alert('取消失败');
        }
      }
    )
  }
}
/**************************************banner图的轮播************************************/
export function bannerSpw(that, type) {
  //
  that.$http.get("/api/banner?Type=" + type).then( 
    function (data) {
      that.getBanner = data.body.Data;
      console.log(that.getBanner,5555);
      //console.log(,5555);
    }, function (err) {
      console.log(456)
      console.log(err)
    }
  )
}
/**************************************最下面地址的切换************************************/
export function selectNav(that, title) {
  console.log(title)
  that.isSelect = title;
  switch (title) {
    case "主页":
      that.$router.push("/home");
      break;
    case "选车":
      that.$router.push("/car");
      break;
    case "取个车":
      that.$router.push("/pickupcar");
      break;
    case "个人中心":
      that.$router.push("/me");
      break;
    
  }
}

/**************************************获取字典内容************************************/
export function getDictionaryContents(that) {
  console.log('23333333333333');
  console.log(that);
  var dictMap = JSON.parse(localStorage.getItem('dictMap'));
  console.log(dictMap);
  for (var item in dictMap) {
    that.dictcontent.set(item, dictMap[item]);
  }
}

/**************************************判断是否登录************************************/
export function usrid(that) {
  var logininfo = localStorage.getItem("logininfo");
  var passwords = localStorage.passwords
  if (!logininfo || !passwords) {
    that.$router.replace({
      name: 'Login',
    })
    MessageBox.alert('请先登录!')
  }
}

/**************************************分页查询************************************/
export function findListByPage(that, table, PageIndex, list) {
  that.loading = true
  var where = "";
  if (that.queryParam != null) {
    that.queryParam.forEach(function (value, key, map) {
      if (value != null && value != '') {
        where += '&' + key + '=' + value;
      }
    });
  }
  that.$http.get("/api/" + table + "?PageIndex=" + PageIndex + "&PageSize=" + that.pageSize + where).then(function (data) {
    if (data.body.Status != '0') { that.$message({ type: "error", message: data.body.Msg }); return; }
    that.$data[list] = data.body.Data.Data;
    that.total = data.body.Data.RowcodCount;
    that.loading = false;
  },
    function (err) {
      that.$message({ type: "error", message: "分页查询服务器异常，请稍后重试!" });
    });
}

/**************************************领取优惠券************************************/
export function value(that, GoT) {
  console.log(GoT,1234)
  var got = GoT;
  var off = GoT.indexOf("http");
  console.log(off,40)
  if (off == -1) {
    that.$router.push(GoT);
  }
  else {
    console.log(GoT,7879);
    that.$http.get(GoT).then(
      function (data) {
        // 这是一个数组
        if (data.body.Status == 0) {
          MessageBox.alert('领取优惠券成功!')
        }
        else {
          MessageBox.alert(data.body.Msg)
        }
      },
      function (err) {
        console.log(565)
        console.log(err)
      }
    )
  }
}

/**************************************分享************************************/
export function fnShare(that, text) {

  shareAction.share({
    type: "url",
    path: "https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
    text: text,
    thumbnail: require("../../static/img/wudengdai-logo.png")
  });
  that.$http.get("/api/Sharing").then(
    function (data) { },
    function (err) {
      console.log(err);
    }
  );

}
export function shareImage(that, url) {

  shareAction.share({
    type: "image",
    images: [url]
  });
  that.$http.get("/api/Sharing").then(
    function (data) { },
    function (err) {
      console.log(err);
    }
  );

}

export function fnOpen(that,text,title,pic) {
  MNActionButton.open({
    layout: {
      row: 1, //（可选项）数字类型；每屏显示菜单按钮的行数；默认：2
      col: 4, //（可选项）数字类型；每屏显示菜单按钮的列数；默认：3
      rowSpacing: 10, //（可选项）数字类型；行与行之间的距离；默认：10
      colSpacing: 10, //（可选项）数字类型；列与列之间的距离；默认：10
      offset: 0 //（可选项）数字类型；整个菜单底部距离所属 window 底部的距离，只能为正整数；默认：0
    },
    animation: true, //（可选项）布尔类型；弹出和隐藏菜单时是否带弹出动画效果，true|false；默认：true
    autoHide: true, //（可选项）布尔类型；点击菜单按钮后是否自动隐藏菜单，true|false；默认：true
    styles: {
      maskBg: 'rgba(0,0,0,0.2)', //（可选项）字符串类型；遮罩层背景，支持 rgb，rgba，#，img；默认：rgba(0,0,0,0.2)
      bg: '#fff', //（可选项）字符串类型；菜单有效区域背景，支持 rgb，rgba，#，img；默认：#fff
      cancelButton: {//（可选项）JSON 对象类型，取消按钮设置
        size: 44, //（可选项）数字类型；底部取消按钮的高和宽；默认：44
        bg: '#fff', //（可选项）字符串类型；取消按钮的 100% 宽度的背景，支持rgb，rgba，#，img；默认：'#fff'
        icon: 'widget://static/shareImages/quxiao.png', //（可选项）字符串类型：取消按钮的图标，要求本地路径（widget://、fs://）；默认：默认X型图标
      },
      item: {//（可选项）JSON 对象类型，菜单按钮设置
        titleColor: '#848484', //（可选项）字符串类型；菜单按钮文字颜色，支持 rgb，rgba，#；默认：#848484
        titleHighlight: 'dd2727', //（可选项）字符串类型；菜单按钮文字高亮颜色，支持 rgb，rgba，#；默认：同 titleColor
        titleSize: 12,                 //（可选项）数字类型；菜单按钮文字大小，同时也是文字栏所占高度，值为 0 时不显示文字栏；默认：12
      },
      indicator: {//（可选项）JSON 对象类型；页标指示器样式，若不传则不显示该指示器
        color: '#c4c4c4', //（可选项）字符串类型；其它页指示器颜色；支持rgb、rgba、#；默认：'#c4c4c4'
        highlight: '#9e9e9e' //（可选项）字符串类型；当前页指示器颜色；支持rgb、rgba、#；默认：'#9e9e9e'
      }
    },
    items: [{//JSON 对象类型；一个菜单项的设置信息
      icon: 'widget://static/shareImages/iconfont-qq.png', //（可选项）字符串类型；一个菜单按钮的图标，支持 rgb，rgba，#，img；默认：#fff
      title: 'QQ好友' //字符串类型；菜单按钮的文字；默认：未设置时不显示，但文字栏仍按 titleSize 设置显示高度
    }, {
      icon: 'widget://static/shareImages/iconfont-kongjian.png',
      highlight: 'widget://static/shareImages/iconfont-kongjian.png',
      title: 'QQ空间'
    }, {
      icon: 'widget://static/shareImages/iconfont-weixin.png',
      highlight: 'widget://static/shareImages/iconfont-weixin.png',
      title: '微信好友'
    }, {
      icon: 'widget://static/shareImages/iconfont-pengyouquan.png',
      highlight: 'widget://static/shareImages/iconfont-pengyouquan.png',
      title: '朋友圈'
    }
      // , {
      //   icon: 'widget://static/shareImages/iconfont-weibo.png',
      //   highlight: 'widget://static/shareImages/iconfont-weibo.png',
      //   title: '微博'
      // }
      // , {
      //   icon: 'widget://static/shareImages/iconfont-qitagengduoe1e4e5.png',
      //   highlight: 'widget://static/shareImages/iconfont-qitagengduoe1e4e5.png',
      //   title: '更多'
      // }
    ]
  }, function (ret, err) {
    if (ret) {

      switch (ret.index) {

        case 0:
          sharedModule.shareTo({
            target: 'qq',
            title: title || '勿等待APP',
            titleUrl:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
            // text: '勿等待”APP是目前全国唯一一家链接汽车产业A、B、C端的综合性网上商城。',
            text: text,
            imgPaths: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            url: "https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
          }, function (ret, err) {
            if (ret.status) {
              // api.alert({ msg: JSON.stringify(ret) });
              that.$http.get("/api/Sharing").then(
                function (data) { },
                function (err) {
                  console.log(err);
                }
              );
            }
          });
          break;
        case 1:
          sharedModule.shareTo({
            target: 'qZone',
            title: title || '勿等待APP',
            titleUrl: "https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
            // text: '勿等待”APP是目前全国唯一一家链接汽车产业A、B、C端的综合性网上商城。',
            text: text,
            imgPaths: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            url:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
          }, function (ret, err) {
            if (ret.status) {
              // api.alert({ msg: JSON.stringify(ret) });
              that.$http.get("/api/Sharing").then(
                function (data) { },
                function (err) {
                  console.log(err);
                }
              );
            }
          });
          break;
        case 2:
          sharedModule.shareTo({
            target: 'wxSession',
            title: title || '勿等待APP',
            titleUrl: "https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
            // text: '勿等待”APP是目前全国唯一一家链接汽车产业A、B、C端的综合性网上商城。',
            text: text,
            imgPaths: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            url: "https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
          }, function (ret, err) {
            if (ret.status) {
              // api.alert({ msg: JSON.stringify(ret) });
              that.$http.get("/api/Sharing").then(
                function (data) { },
                function (err) {
                  console.log(err);
                }
              );
            }
          });
          break;
        case 3:
          sharedModule.shareTo({
            target: 'wxTimeline',
            title:  title || '勿等待APP',
            titleUrl:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
            // text: '勿等待”APP是目前全国唯一一家链接汽车产业A、B、C端的综合性网上商城。',
            text: text,
            imgPaths: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            url:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
          }, function (ret, err) {
            if (ret.status) {
              // api.alert({ msg: JSON.stringify(ret) });
              that.$http.get("/api/Sharing").then(
                function (data) { },
                function (err) {
                  console.log(err);
                }
              );
            }
          });
          break;
      }
      // alert(JSON.stringify(ret));
    } else {
      alert(JSON.stringify(err));
    }
  });
}

export function fnOpenPic(that,text,title,pic,url) {
  MNActionButton.open({
    layout: {
      row: 1, //（可选项）数字类型；每屏显示菜单按钮的行数；默认：2
      col: 4, //（可选项）数字类型；每屏显示菜单按钮的列数；默认：3
      rowSpacing: 10, //（可选项）数字类型；行与行之间的距离；默认：10
      colSpacing: 10, //（可选项）数字类型；列与列之间的距离；默认：10
      offset: 0 //（可选项）数字类型；整个菜单底部距离所属 window 底部的距离，只能为正整数；默认：0
    },
    animation: true, //（可选项）布尔类型；弹出和隐藏菜单时是否带弹出动画效果，true|false；默认：true
    autoHide: true, //（可选项）布尔类型；点击菜单按钮后是否自动隐藏菜单，true|false；默认：true
    styles: {
      maskBg: 'rgba(0,0,0,0.2)', //（可选项）字符串类型；遮罩层背景，支持 rgb，rgba，#，img；默认：rgba(0,0,0,0.2)
      bg: '#fff', //（可选项）字符串类型；菜单有效区域背景，支持 rgb，rgba，#，img；默认：#fff
      cancelButton: {//（可选项）JSON 对象类型，取消按钮设置
        size: 44, //（可选项）数字类型；底部取消按钮的高和宽；默认：44
        bg: '#fff', //（可选项）字符串类型；取消按钮的 100% 宽度的背景，支持rgb，rgba，#，img；默认：'#fff'
        icon: 'widget://static/shareImages/quxiao.png', //（可选项）字符串类型：取消按钮的图标，要求本地路径（widget://、fs://）；默认：默认X型图标
      },
      item: {//（可选项）JSON 对象类型，菜单按钮设置
        titleColor: '#848484', //（可选项）字符串类型；菜单按钮文字颜色，支持 rgb，rgba，#；默认：#848484
        titleHighlight: 'dd2727', //（可选项）字符串类型；菜单按钮文字高亮颜色，支持 rgb，rgba，#；默认：同 titleColor
        titleSize: 12,                 //（可选项）数字类型；菜单按钮文字大小，同时也是文字栏所占高度，值为 0 时不显示文字栏；默认：12
      },
      indicator: {//（可选项）JSON 对象类型；页标指示器样式，若不传则不显示该指示器
        color: '#c4c4c4', //（可选项）字符串类型；其它页指示器颜色；支持rgb、rgba、#；默认：'#c4c4c4'
        highlight: '#9e9e9e' //（可选项）字符串类型；当前页指示器颜色；支持rgb、rgba、#；默认：'#9e9e9e'
      }
    },
    items: [{//JSON 对象类型；一个菜单项的设置信息
      icon: 'widget://static/shareImages/iconfont-qq.png', //（可选项）字符串类型；一个菜单按钮的图标，支持 rgb，rgba，#，img；默认：#fff
      title: 'QQ好友' //字符串类型；菜单按钮的文字；默认：未设置时不显示，但文字栏仍按 titleSize 设置显示高度
    }, {
      icon: 'widget://static/shareImages/iconfont-kongjian.png',
      highlight: 'widget://static/shareImages/iconfont-kongjian.png',
      title: 'QQ空间'
    }, {
      icon: 'widget://static/shareImages/iconfont-weixin.png',
      highlight: 'widget://static/shareImages/iconfont-weixin.png',
      title: '微信好友'
    }, {
      icon: 'widget://static/shareImages/iconfont-pengyouquan.png',
      highlight: 'widget://static/shareImages/iconfont-pengyouquan.png',
      title: '朋友圈'
    }
      // , {
      //   icon: 'widget://static/shareImages/iconfont-weibo.png',
      //   highlight: 'widget://static/shareImages/iconfont-weibo.png',
      //   title: '微博'
      // }
      // , {
      //   icon: 'widget://static/shareImages/iconfont-qitagengduoe1e4e5.png',
      //   highlight: 'widget://static/shareImages/iconfont-qitagengduoe1e4e5.png',
      //   title: '更多'
      // }
    ]
  }, function (ret, err) {
    if (ret) {

      switch (ret.index) {

        case 0:
          sharedModule.shareTo({  
            type: 'image',
            images: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            target: 'qq',
            title: title || '勿等待APP',
            titleUrl:url?`${url}?userid=${that.userids}`:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
            imgPaths: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            url: url?`${url}?userid=${that.userids}&money=${that.money}`:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
          }, function (ret, err) {
            if (ret.status) {
              // api.alert({ msg: JSON.stringify(ret) });
              that.$http.get("/api/Sharing").then(
                function (data) {},
                function (err) {
                  console.log(err);
                }
              );
            }
          });
          break;
        case 1:
          sharedModule.shareTo({
            type: 'image',
            images: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            target: 'qZone',
            title: title || '勿等待APP',
            titleUrl: url?`${url}?userid=${that.userids}`:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
            // text: '勿等待”APP是目前全国唯一一家链接汽车产业A、B、C端的综合性网上商城。',
            text: text,
            imgPaths: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            url:url?`${url}?userid=${that.userids}&money=${that.money}`:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
          }, function (ret, err) {
            if (ret.status) {
              // api.alert({ msg: JSON.stringify(ret) });
              that.$http.get("/api/Sharing").then(
                function (data) { },
                function (err) {
                  console.log(err);
                }
              );
            }
          });
          break;
        case 2:
          sharedModule.shareTo({
            type: 'image',
            images: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            target: 'wxSession',
            title: title || '勿等待APP',
            titleUrl: url?`${url}?userid=${that.userids}`:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
            // text: '勿等待”APP是目前全国唯一一家链接汽车产业A、B、C端的综合性网上商城。',
            text: text,
            imgPaths: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            url: url?`${url}?userid=${that.userids}&money=${that.money}`:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
          }, function (ret, err) {
            if (ret.status) {
              // api.alert({ msg: JSON.stringify(ret) });
              that.$http.get("/api/Sharing").then(
                function (data) { },
                function (err) {
                  console.log(err);
                }
              );
            }
          });
          break;
        case 3:
          sharedModule.shareTo({
            type: 'image',
            images: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            target: 'wxTimeline',
            title:  title || '勿等待APP',
            titleUrl:url?`${url}?userid=${that.userids}`:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
            // text: '勿等待”APP是目前全国唯一一家链接汽车产业A、B、C端的综合性网上商城。',
            text: text,
            imgPaths: [pic?pic:'https://mmbiz.qlogo.cn/mmbiz_png/nU9k7H1m140n6cFckXbEX02CxD297XALYh1oNneUibPesOD16tn9JLZen1J3vByHscGSJXZ8jH75IqA8xhWT6pw/0?wx_fmt=png'],
            url:url?`${url}?userid=${that.userids}&money=${that.money}`:"https://atp4fj.mlinks.cc/Abn2?userid=" + that.userids,
          }, function (ret, err) {
            if (ret.status) {
              // api.alert({ msg: JSON.stringify(ret) });
              that.$http.get("/api/Sharing").then(
                function (data) { },
                function (err) {
                  console.log(err);
                }
              );
            }
          });
          break;
      }
      // alert(JSON.stringify(ret));
    } else {
      alert(JSON.stringify(err));
    }
  });
}

export function fnClose() {
  MNActionButton.close();
};
export function fnHide() {
  MNActionButton.hide();
};
export function fnShow() {
  MNActionButton.show();
};

export function dataURLtoFile(dataurl, filename) {//将base64转换为文件  
  var arr = dataurl.split(','), mime = arr[0].match(/:(.*?);/)[1],  
  bstr = atob(arr[1]), n = bstr.length, u8arr = new Uint8Array(n);  
  while(n--){  
      u8arr[n] = bstr.charCodeAt(n);  
  }  
  return new File([u8arr], filename, {type:mime});  
}